summaryrefslogtreecommitdiff
path: root/src/groups.sh
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-09-26 09:28:17 +0000
committerJim Meyering <jim@meyering.net>2006-09-26 09:28:17 +0000
commit5f65d05616fa46fa892c4ee550c6f4df2f4d0b03 (patch)
treeb4adb2cd86a157b9f6d9f56fbac46e7be1f5a11a /src/groups.sh
parent509febe18b11065e7de4d114c263bbe04e4cb445 (diff)
downloadcoreutils-5f65d05616fa46fa892c4ee550c6f4df2f4d0b03.tar.xz
* NEWS: Mention the bug fix.
* src/groups.sh: Don't hide a write failure. Reported by Iain Calder <ic56@rogers.com>.
Diffstat (limited to 'src/groups.sh')
-rwxr-xr-xsrc/groups.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/groups.sh b/src/groups.sh
index c9acf82ec..dc64d12f1 100755
--- a/src/groups.sh
+++ b/src/groups.sh
@@ -1,6 +1,6 @@
#!/bin/sh
# groups -- print the groups a user is in
-# Copyright (C) 1991, 1997, 2000, 2002, 2004 Free Software Foundation, Inc.
+# Copyright (C) 1991, 1997, 2000, 2002, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -61,7 +61,7 @@ else
groups=`id -Gn -- $name`
status=$?
if test $status = 0; then
- echo $name : $groups
+ echo $name : $groups || fail=1
else
fail=$status
fi